package com.ruoyi.system.service.score;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.system.domain.score.ScoreData;
import com.ruoyi.system.domain.score.ScoreDataDetails;

import java.util.List;
import java.util.Map;

/**
 * 成绩Service接口
 * 
 * @author boman
 * @date 2023-07-20
 */
public interface IScoreDataService 
{
    /**
     * 查询成绩
     * 
     * @param scoreData 成绩主键
     * @return 成绩
     */
    public ScoreData selectScoreDataByScoreId(ScoreData scoreData);

    /**
     * 查询成绩列表
     * 
     * @param scoreData 成绩
     * @return 成绩集合
     */
    public List<ScoreData> selectScoreDataList(ScoreData scoreData);

    /**
     * 新增成绩
     * 
     * @param scoreData 成绩
     * @return 结果
     */
    public int insertScoreData(ScoreData scoreData);

    /**
     * 修改成绩
     * 
     * @param scoreData 成绩
     * @return 结果
     */
    public int updateScoreData(ScoreData scoreData);

    /**
     * 批量删除成绩
     * 
     * @param scoreIds 需要删除的成绩主键集合
     * @return 结果
     */
    public int deleteScoreDataByScoreIds(Long[] scoreIds);

    /**
     * 删除成绩信息
     * 
     * @param scoreId 成绩主键
     * @return 结果
     */
    public int deleteScoreDataByScoreId(Long scoreId);
    /**
     * 后台首页成绩统计排名
     */
    public List<ScoreDataDetails> indexPaiMing(ScoreData scoreData);
    /**
     * 后台首页成绩统计分段人数饼图
     */
    public Map<String,Object> indexBingTu(ScoreData scoreData);

    /**
     * 后台首页成绩统计分段人数折线图
     */
    public Map<String,Object> indexZheXian(ScoreData scoreData);
}
